org.apache.storm.trident.windowing

## Interface WindowsStore

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    HBaseWindowsStore, InMemoryWindowsStore

      public interface WindowsStore
      extends Serializable

  Store for storing window related entities like windowed tuples, triggers etc. `WindowKryoSerializer` can be used for kryo serialization/deserialization of keys and values.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `WindowsStore.Entry` This class wraps key and value objects which can be passed to `putAll` method.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `KEY_SEPARATOR` This can be used as a separator while generating a key from sequence of strings.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterable<Object>` | `get(List<String> keys)`
    `Object` | `get(String key)`
    `Iterable<String>` | `getAllKeys()`
    `void` | `put(String key, Object value)`
    `void` | `putAll(Collection<WindowsStore.Entry> entries)`
    `void` | `remove(String key)`
    `void` | `removeAll(Collection<String> keys)`
    `void` | `shutdown()`

- - ### Field Detail

    - #### KEY_SEPARATOR

          static final String KEY_SEPARATOR

      This can be used as a separator while generating a key from sequence of strings.

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          Object get(String key)

    - #### get

          Iterable<Object> get(List<String> keys)

    - #### getAllKeys

          Iterable<String> getAllKeys()

    - #### put

          void put(String key,
                   Object value)

    - #### putAll

          void putAll(Collection<WindowsStore.Entry> entries)

    - #### remove

          void remove(String key)

    - #### removeAll

          void removeAll(Collection<String> keys)

    - #### shutdown

          void shutdown()

Copyright © 2021 The Apache Software Foundation. All rights reserved.